Class GetRecommendationsRequest
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest<Recommendations>
se.michaelthelin.spotify.requests.data.AbstractDataRequest<Recommendations>
se.michaelthelin.spotify.requests.data.tracks.GetRecommendationsRequest
- All Implemented Interfaces:
IRequest<Recommendations>
Deprecated.
This endpoint has been deprecated by Spotify.
Create a playlist-style listening experience based on seed artists, tracks and genres.
Recommendations are generated based on the available information for a given seed entity and matched against similar
artists and tracks. If there is sufficient information about the provided seeds, a list of tracks will be returned
together with pool size details.
For artists and tracks that are very new or obscure there might not be enough data to generate a list of tracks.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classDeprecated.Builder class for building aGetRecommendationsRequest. -
Method Summary
Methods inherited from class AbstractRequest
bodyParametersToJson, deleteJson, executeAsync, getBody, getBodyParameters, getContentType, getHeaders, getHttpManager, getJson, getUri, initializeBody, postJson, putJsonModifier and TypeMethodDescriptionbodyParametersToJson(List<org.apache.hc.core5.http.NameValuePair> bodyParameters) Convert body parameters to JSON string.Execute DELETE request and get JSON response.Get something asynchronously.org.apache.hc.core5.http.HttpEntitygetBody()Get the request body.List<org.apache.hc.core5.http.NameValuePair> Get the body parameters for this request.org.apache.hc.core5.http.ContentTypeGet the content type for this request.List<org.apache.hc.core5.http.Header> Get the headers for this request.Get the HTTP manager for this request.getJson()Get JSON response as string.getUri()Get the URI for this request.voidInitialize the request body based on content type.postJson()Execute POST request and get JSON response.putJson()Execute PUT request and get JSON response.
-
Method Details
-
execute
public Recommendations execute() throws IOException, SpotifyWebApiException, org.apache.hc.core5.http.ParseExceptionDeprecated.Get theRecommendations.- Returns:
- A
Recommendationsobject. - Throws:
IOException- In case of networking issues.SpotifyWebApiException- The Web API returned an error further specified in this exception's root cause.org.apache.hc.core5.http.ParseException- If a parsing error occurs.
-